package com.fs.store.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsStoreOrderNoticeMapper;
import com.fs.store.domain.FsStoreOrderNotice;
import com.fs.store.service.IFsStoreOrderNoticeService;

/**
 * 订单通知用户 接收订单通知的用户Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreOrderNoticeServiceImpl implements IFsStoreOrderNoticeService 
{
    @Autowired
    private FsStoreOrderNoticeMapper fsStoreOrderNoticeMapper;

    /**
     * 查询订单通知用户 接收订单通知的用户
     * 
     * @param id 订单通知用户 接收订单通知的用户ID
     * @return 订单通知用户 接收订单通知的用户
     */
    @Override
    public FsStoreOrderNotice selectFsStoreOrderNoticeById(Long id)
    {
        return fsStoreOrderNoticeMapper.selectFsStoreOrderNoticeById(id);
    }

    /**
     * 查询订单通知用户 接收订单通知的用户列表
     * 
     * @param fsStoreOrderNotice 订单通知用户 接收订单通知的用户
     * @return 订单通知用户 接收订单通知的用户
     */
    @Override
    public List<FsStoreOrderNotice> selectFsStoreOrderNoticeList(FsStoreOrderNotice fsStoreOrderNotice)
    {
        return fsStoreOrderNoticeMapper.selectFsStoreOrderNoticeList(fsStoreOrderNotice);
    }

    /**
     * 新增订单通知用户 接收订单通知的用户
     * 
     * @param fsStoreOrderNotice 订单通知用户 接收订单通知的用户
     * @return 结果
     */
    @Override
    public int insertFsStoreOrderNotice(FsStoreOrderNotice fsStoreOrderNotice)
    {
        fsStoreOrderNotice.setCreateTime(DateUtils.getNowDate());
        return fsStoreOrderNoticeMapper.insertFsStoreOrderNotice(fsStoreOrderNotice);
    }

    /**
     * 修改订单通知用户 接收订单通知的用户
     * 
     * @param fsStoreOrderNotice 订单通知用户 接收订单通知的用户
     * @return 结果
     */
    @Override
    public int updateFsStoreOrderNotice(FsStoreOrderNotice fsStoreOrderNotice)
    {
        fsStoreOrderNotice.setUpdateTime(DateUtils.getNowDate());
        return fsStoreOrderNoticeMapper.updateFsStoreOrderNotice(fsStoreOrderNotice);
    }

    /**
     * 批量删除订单通知用户 接收订单通知的用户
     * 
     * @param ids 需要删除的订单通知用户 接收订单通知的用户ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreOrderNoticeByIds(Long[] ids)
    {
        return fsStoreOrderNoticeMapper.deleteFsStoreOrderNoticeByIds(ids);
    }

    /**
     * 删除订单通知用户 接收订单通知的用户信息
     * 
     * @param id 订单通知用户 接收订单通知的用户ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreOrderNoticeById(Long id)
    {
        return fsStoreOrderNoticeMapper.deleteFsStoreOrderNoticeById(id);
    }
}
